#ifndef TaskAttributesDelegate_h
#define TaskAttributesDelegate_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QAbstractItemDelegate>
#include <QTextCursor>

// forward declaration
class TaskAttributes;

//* item delegate
class TaskAttributesDelegate : public QAbstractItemDelegate, public Counter
{

    public:

    //* constructor
    TaskAttributesDelegate( QObject* = nullptr );

    //* paint
    virtual void paint( QPainter*, const QStyleOptionViewItem&, const QModelIndex& ) const;

    //* size
    virtual QSize sizeHint( const QStyleOptionViewItem &option, const QModelIndex &index ) const;

    protected:

    //* layout text
    void _layoutText( QTextCursor&, const TaskAttributes& ) const;

    //* focus
    void _drawFocus( QPainter*, const QStyleOptionViewItem&, const QRect& ) const;

    private:

    //* margin
    int margin_ = 4;

    //* icon size
    int iconSize_ = 32;

};

#endif
