#ifndef TaskBarFixed_h
#define TaskBarFixed_h


/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "TaskBarBase.h"

//* TaskBar main widget
class TaskBarFixed: public TaskBarBase
{

    public:

    //* constructor
    TaskBarFixed( QWidget* = nullptr );

    protected Q_SLOTS:

    //* update background pixmap
    virtual void _updateBackgroundPixmap( void );

    protected:

    //* resize the taskBar so that is is able to contain all buttons
    void _resize( void );

    //* place buttons in the taskBar
    void _placeButtons( void );

    //* draw buttons
    /**
    if force is true, only buttons which are zooming are drawn
    returns true if at least one if zooming
    */
    virtual bool _drawButtons( QPaintDevice&, QRect );

};

#endif
