#ifndef ToolTipWidget_h
#define ToolTipWidget_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseToolTipWidget.h"
#include "Debug.h"
#include "TaskAttributes.h"

#include <QFrame>
#include <QHash>
#include <QLabel>
#include <QPixmap>

//* application splash screen
class ToolTipWidget: public BaseToolTipWidget
{

    //* qt meta object macros
    Q_OBJECT

    public:

    //* constructor
    ToolTipWidget( QWidget* );

    //* set task
    void setTaskAttributes( const TaskAttributes& );

    //* clear pixmap cache
    void clearCache( void )
    { cache_.clear(); }

    protected Q_SLOTS:

    //* configuration
    virtual void _updateConfiguration( void );

    private:


    //* icon label
    QLabel* iconLabel_;

    //* file name label
    QLabel* titleLabel_;

    //* file name label
    QLabel* commentsLabel_;

    //* separator
    QFrame* separator_;

    //* pixmap size
    QSize pixmapSize_;

    //* pixmap cache
    using Cache = QHash<QString, QPixmap>;

    //* pixmap cache
    Cache cache_;

};

#endif
